Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.6.4
Release:        1.42
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		ftp://ftp.suse.com/pub/people/ak/numa/
Source0: 	ftp://ftp.suse.com/pub/people/ak/numa/numactl-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-buildroot

ExcludeArch: s390 s390x

Patch1:	numactl-lib.patch
Patch2: numactl-0.6.4-ppc.patch
Patch3: numactl-0.6.4-commonalias.patch
Patch4: numactl-64bit-overruns.patch
Patch5: numactl-64bit-cpu-mask.patch
Patch6: numactl-nodebing-no-cpu.patch
Patch7: numactl-run-node-mask.patch
Patch8: numactl-largesmp-support.patch
Patch9: numactl-parse_bitmap_nodebind.patch
Patch10: numactl-cpubind-line.patch
Patch11: numactl-cpumask-fixup.patch 
Patch12: numactl-128-cpumask-fixup.patch
Patch13: numactl-numa_3_manpage.patch
Patch14: numactl-node_size64.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%prep
%setup -q -c -a 0

#
# reduce the number of relocations and PLT entries
#
%patch1

# Support ppc
%patch2

# Fix breakage with aliases to tentatitive common symbols.
%patch3

# Fix breaks that were found when testing for ppc64 support.
%patch4

# Fix cpu mask computation for more than 7 nodes
%patch5

# Fix numactl --show so that nodes w/o cpus are not displayed
%patch6 -p1

# Fix numa_get_run_node_mask to return cpus rather than nodes
%patch7 -p1

# Support > 64 CPU's
%patch8

#Fix nodebind bitmap
%patch9 -p1

#add an output line to show real cpu bindings rather than nodes
%patch10 

%patch11 -p0

%patch12 -p0

%patch13 -p1

%patch14 -p0

%build
cd numactl-%{version}
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man2
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install
rm -f $RPM_BUILD_ROOT%{_bindir}/numademo

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_libdir}/libnuma.so.1
%{_libdir}/libnuma.so
%{_bindir}/numactl
%{_bindir}/numastat
%{_bindir}/memhog
%{_mandir}

%changelog
* Fri May 22 2009 Neil Horman <nhorman@redhat.com> - 0.6.4-1.42
- Fix 64 numa node size call (bz 491249)

* Mon Sep 22 2008 Neil Horman <nhorman@redhat.com> - 0.6.4-1.41
- Enhance numa man page (bz 378961)

* Mon Jun 04 2007 Neil Horman <nhorman@redhat.com>
- Fix numactl for > 128 cpus (bz 154016)
- Add space in --show printout
- Removed numademo from build as per Uli's suggestion

* Tue Apr 03 2007 Neil Horman <nhorman@redhat.com>
- Fixing restriction on length of cpumask (bz 202405)

* Thu Feb 01 2007 Neil Horman <nhorman@redhat.com>
- Adding a cpubind and nodebind line (bz 223967)

* Thu Sep 21 2006 Neil Horman <nhorman@redhat.com>
- update numactl to provide nodebind info (bz 207400)

* Wed Aug 23 2006 Neil Horman <nhorman@redhat.com>
- Add largesmp support (bz 203701)

* Mon Aug 14 2006 Neil Horman <nhorman@redhat.com>
- Fix numa_get_run_node_mask (bz 202405)

* Thu Aug 08 2006 Neil Horman <nhorman@redhat.com>
- Add fix to not display nodes w/o cpus in --show

* Wed Apr 26 2006 Neil Horman <nhorman@redhat.com>
- Add fix for cpu masks for more than 7 nodes

* Mon Jan  9 2006 Neil Horman <nhorman@redhat.com>
- Add ppc64 memory overrun patch (bz 177327)

* Mon Nov 28 2005 Neil Horman <nhorman@redhat.com>
- Remove ppc64 from excluded arch list (bz168651)

* Mon Nov 22 2004 Jason Baron <jbaron@redhat.com>
- Add libnuma.so to libnuma.so.1 symlink

* Wed Nov 10 2004 David Woodhouse <dwmw2@redhat.com>
- Fix build on x86_64

* Thu Oct 21 2004 David Woodhouse <dwmw2@redhat.com>
- Add PPC support

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 
- spec cleanup

* Sat Jun 05 2004 Arjan van de Ven <arjanv@redhat.com>
- initial packaging
